// Skybox - environment by Grimm, shader by KW*

textures/ut4_whitechapel/wc_sky4
{
	qer_editorimage env/ut4_whitechapel/grimmnight_rt.tga
	q3map_globaltexture
	q3map_skylight 50 3
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	q3map_sunEXT 0.5 0.5 0.4 90 0 40 1 16
	skyparms env/ut4_whitechapel/grimmnight 256 -

	{
		map textures/ut4_whitechapel/clouds/urt_clouds1.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll 0.005 -0.0125
	}
}


// LIGHTS

textures/ut4_whitechapel/wc_panel_500
{
	qer_editorimage textures/ut4_whitechapel/lights/xing_panel_sep.tga
	surfaceparm nomarks 
	surfaceparm nodamage
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_whitechapel/lights/xing_panel_sep.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whitechapel/lights/xing_panel_sep_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_whitechapel/wc_panel_1500
{
	qer_editorimage textures/ut4_whitechapel/lights/xing_panel_sep.tga
	surfaceparm nomarks 
	surfaceparm nodamage
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_whitechapel/lights/xing_panel_sep.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whitechapel/lights/xing_panel_sep_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Light emitting textures

textures/ut4_whitechapel/wc_rail1
{
	qer_editorimage textures/ut4_whitechapel/soc/064lig20ya.tga
	q3map_lightimage textures/ut4_whitechapel/soc/064lig20y.blend.tga
	q3map_surfacelight 1000
	//surfaceparm nomarks
	{
		map textures/ut4_whitechapel/soc/064lig20ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whitechapel/soc/064lig20y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whitechapel/wc_rail1_nb
{
	qer_editorimage textures/ut4_whitechapel/soc/064lig20ya.tga
	q3map_lightimage textures/ut4_whitechapel/soc/064lig20y.blend.tga
	q3map_surfacelight 1000
	//surfaceparm nomarks
	{
		map textures/ut4_whitechapel/soc/064lig20ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whitechapel/soc/064lig20y.blend.tga
		blendfunc GL_ONE GL_ONE
	//	rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whitechapel/wc_rail2
{
	qer_editorimage textures/ut4_whitechapel/soc/064lig20yb.tga
	q3map_lightimage textures/ut4_whitechapel/soc/064lig20y.blend.tga
	q3map_surfacelight 1000
	//surfaceparm nomarks
	{
		map textures/ut4_whitechapel/soc/064lig20yb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whitechapel/soc/064lig20y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whitechapel/wc_railside1
{
	qer_editorimage textures/ut4_whitechapel/soc/064lig30ya.tga
	q3map_lightimage textures/ut4_whitechapel/soc/064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_whitechapel/soc/064lig30ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whitechapel/soc/064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whitechapel/wc_railside2
{
	qer_editorimage textures/ut4_whitechapel/soc/064lig30yb.tga
	q3map_lightimage textures/ut4_whitechapel/soc/064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_whitechapel/soc/064lig30yb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whitechapel/soc/064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whitechapel/wc_marglow_b
{
	qer_editorimage textures/ut4_whitechapel/pr_marble26b.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_whitechapel/pr_marble26b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_whitechapel/wc_marglow_r
{
	qer_editorimage textures/ut4_whitechapel/pr_marble26r.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_whitechapel/pr_marble26r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//Fence, Alpha'd, from Urban_terror.shader and urban_terror2 textures

textures/ut4_whitechapel/wc_fence
{
	qer_editorimage textures/ut4_whitechapel/shaderonly/fence.tga
	surfaceparm trans
	surfaceparm nodamage		
	cull none
        nopicmip

	{
		map textures/ut4_whitechapel/shaderonly/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Ladderclip form UrT

textures/ut4_whitechapel/wc_ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}


//glass; no damage

textures/ut4_whitechapel/wc_glass1
{
	qer_editorimage textures/ut4_whitechapel/shaderonly/plainglass.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_whitechapel/shaderonly/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

// lift surface, no damage

textures/ut4_whitechapel/wc_lift1
{
	qer_editorimage textures/ut4_whitechapel/soc_grill_wall01a.tga
	surfaceparm lightfilter
	surfaceparm nodamage
	{
		map textures/ut4_whitechapel/soc_grill_wall01a.tga
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}


//Alpha'd blocks 

textures/ut4_whitechapel/wc_gblock
{
	qer_editorimage textures/ut4_whitechapel/shaderonly/sn_cinderblock1.tga
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm metalsteps		
	cull none
	nopicmip

	{
		map textures/ut4_whitechapel/shaderonly/sn_cinderblock1.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


//orange moving ivy

textures/ut4_whitechapel/wc_vine02
{
	qer_editorimage textures/ut4_whitechapel/plants/del_vine07.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/ut4_whitechapel/plants/del_vine07.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// green moving ivy

textures/ut4_whitechapel/wc_vine01
{
	qer_editorimage textures/ut4_whitechapel/plants_soc/vine06.tga
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	//qer_trans 0.99
	deformVertexes wave 16 sin 0 0.5 0 0.1

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map textures/ut4_whitechapel/plants_soc/vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_whitechapel/wc_vine03
{
	qer_editorimage textures/ut4_whitechapel/plants_soc/vine01.tga
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	//qer_trans 0.99
	deformVertexes wave 16 sin 0 0.5 0 0.1

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map textures/ut4_whitechapel/plants_soc/vine01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//bbq vines


textures/ut4_whitechapel/wc_cvines
{
	qer_editorimage textures/ut4_whitechapel/shaderonly/bbq_vines.tga
	qer_trans 0.40
	cull disable
	surfaceparm ladder
	surfaceparm polygonoffset
	{
		map textures/ut4_whitechapel/shaderonly/bbq_vines.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


// MODEL SHADERS

//models/mapobjects/bfp/gothl/gothl_lampscreen
//{
//	q3map_surfacelight 1000
//	{
//		map models/mapobjects/ut4_whitechapel/bfp/gothl/gothl_LampScreen.jpg
//		//blendfunc gl_one_minus_dst_alpha gl_src_color
//		blendfunc add
//
//	}
//}
//
//models/mapobjects/bfp/gothl/gothl_bulp
//{
//	q3map_surfacelight 1000
//	{
//		map models/mapobjects/ut4_whitechapel/bfp/gothl/gothl_bulp.tga
//		blendfunc add
//	}
//}
//
//models/mapobjects/bfp/gothl/gothl_glow
//{
//	deformvertexes autosprite
//	surfaceparm trans
//	surfaceparm noimpact
//	surfaceparm nomarks
//	surfaceparm nolightmap
//	surfaceparm nonsolid
//	qer_trans 0.70
//
//	cull none
//	{
//		map models/mapobjects/ut4_whitechapel/bfp/gothl/gothl_glow.tga
//		blendfunc GL_ONE GL_ONE
//	}
//}
//
//  --- buggered model shaders??? --- below is temp; back slash vs forward slash?

models\mapobjects\bfp\gothl\gothl_lampscreen
{
	q3map_surfacelight 1000
	{
		map models\mapobjects\bfp\gothl\gothl_lampscreen.tga
		//blendfunc gl_one_minus_dst_alpha gl_src_color
		blendfunc add

	}
}

models\mapobjects\bfp\gothl\gothl_bulp
{
	q3map_surfacelight 1000
	{
		map models\mapobjects\bfp\gothl\gothl_bulp.tga
		blendfunc add
	}
}

models\mapobjects\bfp\gothl\gothl_glow
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.20

	cull none
	{
		map models\mapobjects\bfp\gothl\gothl_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

